package utilities

import (
	"context"

	"github.com/hashicorp/terraform-plugin-log/tflog"
	"repository.basistech.ru/BASIS/decort-golang-sdk/pkg/cloudapi/compute"
	"repository.basistech.ru/BASIS/terraform-provider-dynamix/internal/client"
	"repository.basistech.ru/BASIS/terraform-provider-dynamix/internal/service/cloudapi/kvmvm/models"
)

func ComputeUserListCheckPresence(ctx context.Context, state *models.ListUsersModel, c *client.Client) (*compute.ListUsers, error) {
	tflog.Info(ctx, "Get compute user list info")

	req := compute.UserListRequest{
		ComputeID: uint64(state.ComputeID.ValueInt64()),
	}

	tflog.Info(ctx, "Check req", map[string]any{"req": req})

	userList, err := c.CloudAPI().Compute().UserList(ctx, req)
	if err != nil {
		return nil, err
	}

	tflog.Info(ctx, "Getting compute user list info, successfully")
	return userList, nil
}
